import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    tools: commonTools

    id: page

    property int tilesize: 180
    property int tilespacing: 10

    property bool unpress: false

    property bool showAbout: false
    property bool showBluescreen: false
    property int loadingstate: 0

    orientationLock: PageOrientation.LockPortrait



    Rectangle {
        anchors.fill: parent
        color: "black"

        Flickable {


            anchors.topMargin: 30
            anchors.leftMargin: 10
            anchors.fill: parent
            contentWidth: parent.width
            contentHeight: row.height
            flickableDirection: Flickable.VerticalFlick

            onFlickStarted:
            {
                unpress = true
            }

            Row {
                id: row
                spacing: tilespacing
                Column {
                    id: column
                    spacing: tilespacing

                    Tile
                    {
                        imageSource:"Tile_Phone.svg"
                        showstart: 0
                        counter: loadingstate
                    }


                    Tile
                    {
                        color: "green"
                        imageSource: "Tile_SMS.svg"
                        showstart: 2
                        counter: loadingstate
                    }

                    Tile
                    {
                        imageSource: "Tile_YBox.svg"
                        showstart: 4
                        counter: loadingstate
                    }
                    Tile
                    {
                        imageSource: "Tile_F.svg"
                        showstart: 6

                    }
                    Tile
                    {
                        imageSource: "Tile_Me.svg"
                        showstart: 8
                    }


                    Tile
                    {
                        imageSource: "Tile_Camera.svg"
                        showstart: 10
                    }
                    Tile
                    {
                        imageSource: "Tile_M$.svg"
                        showstart: 12


                    }

                    Tile
                    {
                        imageSource: "Tile_nothing.svg"
                        showstart: 14
                    }

                    Item {
                        width: tilesize
                        height: toolbar.height
                    }
                }
                Column {
                    spacing: tilespacing

                    Tile
                    {

                        imageSource: "Tile_People.svg"
                        showstart: 1
                    }

                    Tile
                    {
                        imageSource: "Tile_Mail.svg"
                        MouseArea {
                            anchors.fill: parent
                            onClicked: {showBluescreen = true}
                        }
                        showstart: 3
                    }

                    Tile
                    {
                        imageSource: "Tile_About.svg"
                        MouseArea {
                            anchors.fill: parent
                            onReleased: {showAbout = true}
                        }
                        showstart: 5
                    }

                    Tile
                    {
                        imageSource: "Tile_Store.svg"
                        showstart: 7
                        id: store
                        MouseArea {
                            anchors.fill: parent
                            // drag.filterChildren: true
                            onClicked: {
                                Qt.openUrlExternally("http://store.ovi.com/publisher/helex/");
                            }
                            onPressed: {
                                store.click = true
                            }
                            onReleased: {
                                store.click = false
                            }
                            onPositionChanged: {
                                store.click = false
                            }
                        }
                    }

                    Tile
                    {
                        color: "orange"
                        showstart: 9
                    }

                    Tile
                    {
                        imageSource: "Tile_You.svg"
                        showstart: 11
                    }

                    Tile
                    {
                        color:"black"
                        showstart: 13
                    }
                    Tile
                    {
                        imageSource: "Tile_X.svg"
                        showstart: 15
                    }

                    Item {
                        width: tilesize
                        height: toolbar.height
                    }

                }

            }

        }


        Image {
            y: 30
            x: parent.width - 70
            source: "Button_More.svg"
            smooth: true
            width: 60
            height: 60
            MouseArea {
                anchors.fill: parent
                onReleased: {showBluescreen = true}
            }
        }




        BlueScreen
        {
            id: error
            anchors.fill: parent
            visible: showBluescreen ? true : false
            z: 1
        }
        About
        {
            id: about
            anchors.fill: parent
            visible: showAbout ? true : false
            z: 2

        }

        Rectangle {
            id: toolbar
            width: parent.width
            height: 80
            x: 0
            z: 255
            y: parent.height - 80
            color: "black"


            Image {
                source: "Toolbar_Back.svg"
                width: 70
                height: 70
                smooth: true
                //anchors.leftMargin: 50
                x: 0
                MouseArea {
                    anchors.fill: parent
                    onReleased: {

                        /*
                        if (showBluescreen)
                        {
                            // showBluescreen=false
                        }
                        else {
                            if (showAbout)
                            {
                                showBluescreen = false;
                                showAbout = false;
                            }
                            else
                            {
                            //    Qt.quit()
                            }
                        }
                        */

                        if (showAbout)
                        {
                            showBluescreen = false;
                            showAbout = false;
                            loadingstate = 0;
                        }
                    }
                }
            }
            Image {
                source: "Toolbar_Logo.svg"
                anchors.centerIn: parent
                smooth: true
                width: 70
                height: 70
                MouseArea {
                    anchors.fill: parent
                    onReleased: {showBluescreen = true}
                }
            }
            Image {
                source: "Toolbar_Search.svg"
                width: 70
                height: 70

                smooth: true
                x: page.width - width
                MouseArea {
                    anchors.fill: parent
                    onReleased: {showAbout = true}
                }

            }
        }
    }



}
