// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1



Item {
    property string imageSource
    property string color: "steelblue"

    property int showstart: 0

    width: tilesize
    height: tilesize
    property int counter: 0

    property bool click: false

    Timer {
        interval: 100
        repeat: true
        running: true

        onTriggered:
        {
            counter ++;
        }
    }
    clip: true

    Rectangle {
        radius: 20
        id: tile
        anchors.centerIn: parent
        //height: unpress ? parent.height : parent.height
        height: ma.pressed ? parent.height * .9 :
                           click ? parent.height * .9 : parent.height
        width: ma.pressed ? parent.width * .9 :
                            click ? parent.width * .9 : parent.width

        state: "hide"

        opacity: 0.0
        color: parent.color
        clip: true

        Image {
            anchors.fill: parent
            source: imageSource
            smooth: true
            clip: true

        }

        Text {
            text: counter
            visible: false //DEBUG
        }

        MouseArea {
            id: ma

            anchors.fill: parent
            //            onPressed: {
            //            tile.width = tilesize * .9
            //            tile.height = tilesize * .9
            //            }
            //            onCanceled: {
            //                tile.width = tilesize * .9
            //                tile.height = tilesize * .9

            //            }

            //            onReleased: {
            //                tile.width = tilesize
            //                tile.height = tilesize
            //            }
        }
    }

    states: [
        State {
            name: "show"
            when: counter >= showstart
            // PropertyChanges { target: tile; color: "red" }

        },
        State {
            name: "hide"
            when: counter < showstart
            // PropertyChanges { target: tile; color: "green" }
        }
    ]
    transitions: [
        Transition {

            to: "show"
            PropertyAnimation { target: tile; property: "opacity"; duration: 1000; to: 1.0; easing.type: Easing.InOutQuad }

        },
        Transition {

            to: "hide"
            PropertyAnimation { target: tile; property: "opacity"; duration: 10; to: 0.0; easing.type: Easing.InOutQuad }

        }

    ]

}
